import logging
from os import makedirs
from pathlib import Path

from fastapi.responses import FileResponse

from modules.app import app
from modules.extensions_loader import dynamic_import_from_src
from modules.scheduler import scheduler

makedirs(Path("data/users"), exist_ok=True)

logging.basicConfig(
    level=logging.INFO,
    format="%(name)s.%(funcName)s | %(levelname)s | %(message)s",
    datefmt="[%X]",
)


@app.get("/favicon.ico", response_class=FileResponse, include_in_schema=False)
async def favicon():
    return FileResponse("favicon.ico")


# =================================================================================
dynamic_import_from_src("extensions", star_import=True)
# =================================================================================

scheduler.start()
